edu.ucsb.nceas.metacat.lsid

## Class LSIDAuthorityMetaData

- java.lang.Object
- - edu.ucsb.nceas.metacat.lsid.LSIDAuthorityMetaData

- All Implemented Interfaces:
    com.ibm.lsid.server.LSIDMetadataService, com.ibm.lsid.server.LSIDService

      public class LSIDAuthorityMetaData
      extends java.lang.Object
      implements com.ibm.lsid.server.LSIDMetadataService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LSIDAuthorityMetaData()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getLSID()`
    `static java.lang.String` | `getLSID(org.apache.xalan.extensions.XSLProcessorContext foo, org.apache.xalan.templates.ElemExtensionCall bar)` get the current LSID for the given thread, for use in XSLT so return a string
    `com.ibm.lsid.MetadataResponse` | `getMetadata(com.ibm.lsid.server.LSIDRequestContext req, java.lang.String[] formats)`
    `static java.lang.String` | `getStringFromInputStream(java.io.InputStream input)`
    `void` | `initService(com.ibm.lsid.server.LSIDServiceConfig cf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LSIDAuthorityMetaData

          public LSIDAuthorityMetaData()

  - ### Method Detail

    - #### initService

          public void initService(com.ibm.lsid.server.LSIDServiceConfig cf)
                           throws com.ibm.lsid.server.LSIDServerException

      Specified by:
        `initService` in interface `com.ibm.lsid.server.LSIDService`
      Throws:
        `com.ibm.lsid.server.LSIDServerException`

    - #### getMetadata

          public com.ibm.lsid.MetadataResponse getMetadata(com.ibm.lsid.server.LSIDRequestContext req,
                                                           java.lang.String[] formats)
                                                    throws com.ibm.lsid.server.LSIDServerException

      Specified by:
        `getMetadata` in interface `com.ibm.lsid.server.LSIDMetadataService`
      Throws:
        `com.ibm.lsid.server.LSIDServerException`

    - #### getStringFromInputStream

          public static java.lang.String getStringFromInputStream(java.io.InputStream input)

    - #### getLSID

          public static java.lang.String getLSID(org.apache.xalan.extensions.XSLProcessorContext foo,
                                                 org.apache.xalan.templates.ElemExtensionCall bar)
                                          throws com.ibm.lsid.MalformedLSIDException

      get the current LSID for the given thread, for use in XSLT so return a string
      Throws:
        `com.ibm.lsid.MalformedLSIDException`

    - #### getLSID

          public static java.lang.String getLSID()
                                          throws com.ibm.lsid.MalformedLSIDException

      Throws:
        `com.ibm.lsid.MalformedLSIDException`

Copyright © 2023 Regents of the University of California. All Rights Reserved.